package cn.com.poc.agent_application.rest.impl;

import cn.com.poc.agent_application.request.*;
import cn.com.poc.agent_application.rest.AiGcRest;
import cn.com.poc.agent_application.service.AiGcEditorService;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;

@Component
public class AiGcRestImpl implements AiGcRest {

    @Resource
    private AiGcEditorService aiGcEditorService;

    @Override
    public void articlePolish(@RequestBody ArticlePolishRequest request, HttpServletResponse httpServletResponse) throws Exception{
        aiGcEditorService.articlePolish(request, httpServletResponse);
    }

    @Override
    public void articleRefine(@RequestBody ArticleRefineRequest request, HttpServletResponse httpServletResponse) throws Exception{
        aiGcEditorService.articleRefine(request, httpServletResponse);
    }

    @Override
    public void articleExpand(@RequestBody ArticleExpandRequest request, HttpServletResponse httpServletResponse) throws Exception{
        aiGcEditorService.articleExpand(request, httpServletResponse);
    }

    @Override
    public void articleModifyTone(@RequestBody ArticleModifyToneRequest request, HttpServletResponse httpServletResponse) throws Exception{
        aiGcEditorService.articleModifyTone(request, httpServletResponse);
    }

    @Override
    public void articleRewrite(@RequestBody ArticleRewriteRequest request, HttpServletResponse httpServletResponse) throws Exception{
        aiGcEditorService.articleRewrite(request, httpServletResponse);
    }
}